#include <iostream>
#include <vector>
#include <fstream>
#include <ctime>
#include <random>
#include <algorithm>
#include <cassert>
#include <queue>
#include <cstring>
#include <unordered_map>
using namespace std;

random_device rand_dev;
mt19937_64 generator(rand_dev());
main() {
    srand(time(0));
    for(int i = 51; i <= 60; i++) {
        int n = 50000+generator()%50000;
        vector<long long> p;
        for(int i = 1; i <= n; i++) p.push_back((generator()%(long long)1e18)*(generator()%2==0?1:-1));
        ofstream in(string("ezici.") + (i<10?"0":"") + (i<100?"0":"") + to_string(i) + ".in");
        ofstream out(string("ezici.") + (i<10?"0":"") + (i<100?"0":"") + to_string(i) + ".out");
        in << -6 << endl;
        in << n << endl;
        long long mx=-1e18-1, ans=0;
        for(auto x : p) {in << x << " "; if(x>mx) ans++; mx=max(mx, x);}
        in << endl;
        out << ans << endl;
    }
}